Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154355 - kernel - issues with zd1201 USB driver
Summary: kernel - issues with zd1201 USB driver
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-10 21:25 UTC by Michal Jaegermann
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 03:24:40 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-04-10 21:25:45 UTC
Description of problem:

Current rawhide kernels include zd1201 ZyDAS driver for wireless USB
adapters.  I attempted to use it with UR055g adapter from Inexq,
http://www.inexq.com.

The first trouble is that this device with ID 1435:0711 is not on
the list.  After adding it to 'zd1201_table[]' in zd1201.c and recompiling
a driver prints in logs:

usb 1-6: Make sure the hotplug firmware loader is installed.
usb 1-6: Goto http://linux-lc100020.sourceforge.net for more info

The catch is that AFAICT there is no hotplug firmware loader to be
installed but a firmware has to be retrieved and placed in
/lib/firmware and not /etc/firmare like suggested by an tar file
from sourceforge. There is really not much "more info" at the suggested URL.

After that is done I am seeing things of that sort:

usb 1-7: new high speed USB device using ehci_hcd and address 3
zd1201 firmware upload failed: -110
zd1201: probe of 1-7:1.0 failed with error -110

i.e. ETIMEDOUT, and that is about it.  It looks that the first
call to usb_control_msg() in zd1201_fw_upload() is failing.

Even if the above means that for some reasons the driver really does
not work with this particular device a somewhat misleading firmware
information is a wider issue.  I am afraid that I do not have other
devices which could possible use that driver so I do not know if it
works there.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1233_FC4

Comment 1 Dave Jones 2005-04-11 03:24:40 UTC
You're going to have more luck getting this working by finding out who the
upstream maintainers are, and working with them.  Fedora will pick up any
changes when that then gets merged to Linus' tree.



Note You need to log in before you can comment on or make changes to this bug.